<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__dfu__macro" kind="group">
    <compoundname>group_dfu_macro</compoundname>
    <title>Macros</title>
    <innergroup refid="group__group__dfu__macro__config">User Config Macros</innergroup>
    <innergroup refid="group__group__dfu__macro__state">DFU State</innergroup>
    <innergroup refid="group__group__dfu__macro__commands">DFU Commands</innergroup>
    <innergroup refid="group__group__dfu__macro__ioctl">Read/Write Data IO Control Values</innergroup>
    <innergroup refid="group__group__dfu__macro__response__size">Response Size</innergroup>
      <sectiondef kind="define">
      <memberdef id="group__group__dfu__macro_1ga70e30cc482773f5a3694dafc21cbe0b6" kind="define" prot="public" static="no">
        <name>CY_DFU_SDK_MW_VERSION_MAJOR</name>
        <initializer>(4)</initializer>
        <briefdescription>
<para>The DFU SDK major version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" bodystart="1006" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" line="1006" />
      </memberdef>
      <memberdef id="group__group__dfu__macro_1gae963703086143c107ae909273bd6d18b" kind="define" prot="public" static="no">
        <name>CY_DFU_SDK_MW_VERSION_MINOR</name>
        <initializer>(0)</initializer>
        <briefdescription>
<para>The DFU SDK minor version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" bodystart="1009" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" line="1009" />
      </memberdef>
      <memberdef id="group__group__dfu__macro_1ga25cc6cfb1eed718469ab8d6514279ea1" kind="define" prot="public" static="no">
        <name>CY_DFU_PACKET_MIN_SIZE</name>
        <initializer>(0x07u)</initializer>
        <briefdescription>
<para>The smallest valid DFU packet size. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" bodystart="1026" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" line="1026" />
      </memberdef>
      <memberdef id="group__group__dfu__macro_1gab8feb6c7e0117e05e474f17b2cfc9672" kind="define" prot="public" static="no">
        <name>CY_DFU_ID</name>
        <initializer>CY_PDL_DRV_ID(0x06u)</initializer>
        <briefdescription>
<para>DFU SDK PDL ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" bodystart="1086" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" line="1086" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>